Folders

Get folder

Returns folders with their members, teams, and rules. Pending invitations are only listed to people who manage the folder.

GET
/folder/{folderId}

Path Parameters

folderId*string

The unique identifier of the folder.

Length1 <= length

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/folder/string"
{  "id": "k3Lm9QpR2sTvWx7Yz4AbC",  "name": "Customers",  "url": "https://circleback.ai/folders/k3Lm9QpR2sTvWx7Yz4AbC",  "canManage": true,  "color": "bg-tag-blue",  "icon": "briefcase",  "type": "Shared",  "visibility": "Closed",  "workspaceId": 1,  "invitations": [    {      "profileId": 2,      "name": "Samantha Grey",      "access": "Viewer",      "email": "samantha@initech.com"    }  ],  "joinRequests": [],  "members": [    {      "profileId": 1,      "name": "John Appleseed",      "access": "Editor",      "email": "john@initech.com",      "isContributor": true,      "isOwner": true,      "userId": 1,      "teamIds": [],      "workspaceIds": []    }  ],  "ruleGroups": [    {      "conditions": [        {          "operator": "Contains",          "type": "MeetingName",          "value": "Initech"        }      ]    }  ],  "teams": [    {      "access": "Viewer",      "isContributor": false,      "teamId": 1    }  ],  "workspaces": []}
{  "code": "string",  "error": "string",  "seatsToAdd": 1,  "issues": [    {      "message": "string",      "path": "string"    }  ]}
{  "code": "string",  "error": "string",  "seatsToAdd": 1,  "issues": [    {      "message": "string",      "path": "string"    }  ]}